Introduction

Most functions of BrainVoyager can be accessed by menus and dialogs. However to fully exploit the interactive usage of the software, several keyboard and mouse bindings have been defined. They are summarized in this chapter according to the following settings:

  • FMR project window

  • VMR project window

  • Surface module window

Note: In the following descriptions, Left-click and Right-click refer to pressing and releasing the left or right mouse button. The terms Left-move and Right-move refer to pressing the left or right mouse button and moving the mouse keeping the respective button down. The terms Left-drag and Right-drag refer to selecting a rectangular region in a window in the following way: click at a point which will mark the left upper corner of the rectangle, move the mouse arrow (while holding the button) to the right and down within the respective window and finally release the mouse button which will mark the right lower corner of the rectangle.
Standard keys are referred to using single quotes (i.e. the 'A' key) whereas special keys are labelled with captial letters, i.e. CTRL and SHIFT. The '+' sign is used to indicate that a combination of keys / mouse buttons must be used to achieve a certain function.


Keyboard and Mouse Functions in FMR projects

Invoking time course plots

Time course plots for selected regions of interest can be invoked by using the keyboard and the mouse. This function requires that a VTC file has been linked to the VMR data set either explicity (using the Analysis -> Use VTC file.. menu item) or implicitly (i.e. by overlaying a GLM map). If no VTC has been linked (and no statistical map has been loaded, see below), the described key / mouse operations will not work. These operations will also fail, if a VTC has been linked but a voxel has been selected outside the VTC data space (you can check this space by checking "Show VTC vol" in the "3D functional data field" of the "Spatial Transf tab".

Left-drag | Shows time course plot for the selected region-of-interest in current time course plot window (only voxels above threshold)
CTRL + Left-drag | Shows time course plot for the selected region-of-interest in a new time course plot window (only voxels above threshold)
SHIFT + Left-drag | Adds time course of selected region-of-interest to current time course plot window (only voxels above threshold)
Right-drag | Shows time course plot for the selected region-of-interest in current time course plot window (all voxels in rectangle)
CTRL + Right-drag | Shows time course plot for the selected region-of-interest in a new time course plot window (all voxels in rectangle
SHIFT + Right-drag | Adds time course of selected region-of-interest to current time course plot window (all voxels in rectangle)


Keyboard and Mouse Functions in VMR projects

Invoking time course plots

Like in FMR projects, time course plots for selected regions of interest can be invoked by using the keyboard and the mouse. This function requires that a VTC file has been linked to the VMR data set either explicity (using the Analysis -> Use VTC file.. menu item) or implicitly (i.e. by overlaying a GLM map). If no VTC has been linked (and no statistical map has been loaded, see below), the described key / mouse operations will not work. These operations will also fail, if a VTC has been linked but a voxel has been selected outside the VTC data space (you can check this space by checking "Show VTC vol" in the "3D functional data field" of the "Spatial Transf tab".

Right-click | Shows time course plot for the selected region-of-interest in current time course plot window
CTRL + Right-click | Shows time course plot for the selected region-of-interest in a new time course plot window
SHIFT + Right-click | Adds time course of selected region-of-interest to current time course plot window
Display options

Most display options are accessible in the tabs of the 3D Volume Tools dialog. Since BrainVoyager v4.2 some options can be also controlled via the keyboard like the display of the red cross and the display of the white slice planes. There is also a new function in BrainVoyager v4.2 which is at present only accessible from the keyboard, namely to show enlarged views of the SAG, TRA and COR subwindows taking the whole display space of the VMR viewing window.

'A' key | Show / hide the red cross marking the current voxel.
'S' key | Show / hide the white reslice lines in Oblique 2D or 3D-3D reslicing mode
'O' key | Shows or hides a statistical map, if present. Identical to the "Overlay 3D map" check in the "Spatial Transf tab"
'R' key | Invokes the Region-Of-Interest analysis tool
CTRL + 'T' key | Cycle through a enlarged SAG, COR, TRA and the standard 4-window view
PgUP / PgDN | In enlarged SAG, COR, TRA view: Move slice plane forward / backward (in addition to the translation keys, see below)
CTRL + 'G' key | Show the fourth subwindow (reslicing or volume rendering result) enlarged or the standard 4-window view
Translations and rotations

Translations can be done using the X, Y and Z spin controls in the 3D Coords tab of the 3D Volume Tools dialog or less precisely by simply clicking with the left mouse button at a desired location. Rotations can be done using the Tra->Cor, Tra->Sag and Sag->Cor spin controls in the Reslicing tab of the 3D Volume Tools dialog. To make it more easy to specify translations and rotations, the following keys can be used as an efficient alternative:

Cursor LEFT | Move red cross along the X axis to lower system coordinate values (changes sagittal slice plane)
Cursor RIGHT | Move red cross along the X axis to higher system coordinate values (changes sagittal slice plane)
Cursor UP | Move red cross along the Z axis to lower system coordinate values (changes axial slice plane)
Cursor DOWN | Move red cross along the Z axis to higher system coordinate values (changes axial slice plane)
SHIFT + Cursor UP | Move red cross along the Y axis to lower system coordinate values (changes coronal slice plane)
SHIFT + Cursor DOWN | Move red cross along the Y axis to higher system coordinate values (changes coronal slice plane)
CTRL + Cursor UP | Rotate counterclockwise around X axis (TRA->COR angle)
CTRL + Cursor DOWN | Rotate clockwise around X axis (TRA->COR angle)
SHIFT + Cursor LEFT | Rotate counterclockwise around Y axis (TRA->SAG angle)
SHIFT + Cursor RIGHT | Rotate clockwise around Y axis (TRA->SAG angle)
CTRL + Cursor LEFT | Rotate counterclockwise around Z axis (SAG->COR angle)
CTRL + Cursor RIGHT | Rotate clockwise around Z axis (SAG->COR angle)
Two VMR data sets

The automatic 3D-3D alignment tool in the Spatial Transf tab of the 3D Volume Tools dialog requires that a second VMR data set is loaded. Since BrainVoyager v4.2, a loaded second data set can be used also for other important purposes, i.e. for toggling between segmented and original anatomical data sets and for visualizing fused versions of two 3D data sets. To use these new features, simply load a second VMR by clicking the Load button in the 3D-3D Alignment field of the Spatial Transf tab. It is best to load a segmented brain as the main VMR and the original grey scale data as the second VMR. BrainVoyager v4.2 indicates that two data sets have been loaded by showing the names of both files in the title bar of the VMR view window. In between the two file names, an error indicates which data set is currently visible in the VMR view. The first name (left side of the title bar) represents the main VMR and the second name (right side of the title bar) represents the secondary VMR. If the two VMRs are shown in a fused manner, the arrow switches to "<->" (fusion mode 1) or "<=>" (fusion mode 2). Fusion mode 1, the black regions of the primary VMR are transparent so that they show the secondary VMR in these regions. Fusion mode 2 is even more transparent showing only the boundary (contour) of the non-transparent regions of the primary VMR and everywhere else it shows the secondary VMR. These fused views are useful to check and modify segmentation results.

'F8' key | Toggle between primary ('<-')and secondary ('->') VMR. In 3D-3D fusion mode, secondary VMR shows fused image ('<->' or '<=>')
'F9' key | Cycle through fusion mode 1 ('<->'), fusion mode 2 ('<=>') and standard non-fused view of VMRs.
'F7' key | In fusion mode: toggles between secondary VMR ('->') and fused images ('<->' or '<=>')
Two reslice views

An important step in fMRI data analysis is the proper coregistration of original functional data (FMR projects) and high-resolution 3D data sets. To evaluate the coregistration (either after automatic or during/after manual alignment), BrainVoyager allows to toggle between the functional slices and resliced planes of a 3D data set. The reslicing of the 3D data set is performed according to the specified translation and rotation parameters. Toggling between the original FMR slices (actually corresponding slices of a referenced AMR file are used) and the resliced VMR data set can be performed by checking "Show FMR (ref. AMR) slice" in the "Reslicing tab" of the "3D Volume Tools dialog". Alternatively the following key definitions can be used which allow in addition to toggling also to show a fused image between the corresponding FMR (AMR) and VMR slices. Note that these functions only work if "Oblique 2D" has been selected in the "Slicing mode field" of the "Reslicing tab" and if an FMR file has been specified using the "Select FMR button" in the "3D functional data field" of the "Spatial Transf tab".

'F11' key | Toggle between a FMR slice (AMR slice) and the resliced 3D plane
'F12' key | Fused view of the selected FMR slice (AMR slice) and the resliced 3D plane
Switching between tabs of the 3D Volume Tools dialog

The "3D Volume Tools dialog" consists of 6 tabs each providing several functions. It might be sometimes desirable to use the keyboard to switch between these tabs instead of clicking the tab title in the dialog with the mouse.

'F2' key

Cycle through the tabs of the "3D Volume Tools dialog"


Keyboard and Mouse Functions in the Surface Module

Cursor movements

Since BrainVoyager v4.2, the viewpoint of the 3D scene shown in the surface module window can be modified using the cursor keys allowing rotations about two axes. Using these keys, it is very easy to orient a surface mesh into a desired view. Rotation is restricted around only two axes in order to keep the induced viewpoint changes easy to understand. To learn about the induced effects of the cursor keys, start BrainVoyager, switch to the surface module and then simply press the respective buttons.

Cursor LEFT | Rotate clockwise 15 degrees around object's Z axis
Cursor RIGHT | Rotate counterclockwise 15 degrees around object's Z axis
Cursor UP | Rotate clockwise 15 degrees around screen Y axis
Cursor Down | Rotate counterclockwise 15 degrees around screen Y axis
Standard viewpoints

The standard viewpoints were introduced in BrainVoyager v4.1. The standard viewpoints can be accessed within the Viewpoint Settings dialog which shows a list of icons representing a view from the left side, right side, front side and so on. Simply click one of the icons to orient the current mesh into the respective standard view.

'V' key

Invoke the Viewpoint Settings dialog

Mouse-driven translations and rotations

The viewpoint can be changed using combinations of keyboard buttons, mouse buttons and mouse movements as described below:

Left-move | Translate camera horizontally and vertically moving the mouse mouse left / right and up / down
CTRL + SHIFT + Left-move | Zooming. Move the mouse down (up) to move the camera towards (away) from mesh
SHIFT + Left-move | Rotate around object's Z axis (screen's Y axis) by moving the mouse left / right (up / down)
CTRL + Left-move | Rotate around object's X axis by moving the mouse left / right
Display options

Most display options are accessible via icons and dialogs. Two display options are also available via the keyboard. There are two different axes displays in the surface module, one showing large axes running through the object (TAL axes system) and a little one (OpenGL axes system) located in the lower left corner.

'A' key | Show axes. Press repeatedly to cycle through different display modes (both axes types, one or none)
'P' key | Toggle between perspective and orthographic viewing
'U' key | Update display of current mesh (unimportant since rarely necessary)
Mesh slicing

Mesh slicing can be done using the respective icons in the mesh toolbar. Click on a slice icon to select the selected slice plane. If you click on an icon in the right column, slicing with the mouse or keyboard is enabled. Since BrainVoyager v4.2, clicking a new slice icon (i.e. horizontal slicing when sagittal slicing is selected), the new slice plane is shown but no longer the previous one. Use the CTRL key to add a slice plane without removing an already selected one.

CTRL + Left-click slice icon | Add slice plane without deselecting previously selected slice planes
Slice icon + Left-move | Move the mouse leff / right or up / down to move the slice plane
'X' / 'Y' / 'Z' key | Move slice plane in one ('X') or the other ('Y' / ' Z') direction
Dipole cycling

If dipoles are loaded, you can adjust the currently selected slice plane such as to cut precisely through a dipole. By repeatedly pressing the buttons below, you can cycle with the cut plane through all present dipoles.

Slice icon + PgUP / PgDN or NUM+ / NUM-

Move the selected slice plane to cut through the next dipole


Keyboard and Mouse Functions in Time Course Windows

RTC window / AVG window / Statistical dialogs

Windows or dialogs showing a representation of time (actual time series data, specified expected signal changes etc.), it is possible to save the content of these windows to disk as a bitmap (BMP) file.

CTRL + Left-click | Invokes a dialog for saving the window content as a bitmap to disk
Left-click | AVG window: Invokes an Options dialog